Bug 159155 - system-switch-mail gives deprecation warnings
Summary: system-switch-mail gives deprecation warnings
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: system-switch-mail (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Ngo Than
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-05-30 18:53 UTC by petrosyan
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-03-07 14:55:38 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description petrosyan 2005-05-30 18:53:22 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.8) Gecko/20050524 Fedora/1.0.4-4 Firefox/1.0.4

Description of problem:
system-switch-mail gives the following deprecation warnings:
$ system-switch-mail
/usr/share/system-switch-mail/switchmail_gui.py:83: GtkDeprecationWarning: gtk.mainloop is deprecated, use gtk.main instead
  gtk.mainloop()
/usr/share/system-switch-mail/switchmail_gui.py:86: GtkDeprecationWarning: gtk.mainquit is deprecated, use gtk.main_quit instead
  gtk.mainquit()
/usr/lib/python2.4/site-packages/gtk-2.0/gtk/__init__.py:70: GtkDeprecationWarning: gtk.mainquit is deprecated, use gtk.main_quit instead
  return self.func(*args, **kwargs)

Version-Release number of selected component (if applicable):
system-switch-mail-0.5.25-4

How reproducible:
Always

Steps to Reproduce:
1. run system-switch-mail from a terminal

Additional info:

Comment 1 petrosyan 2006-01-07 06:02:36 UTC
system-switch-mail-0.5.25-6 still gives deprecation warnings:

$ system-switch-mail
/usr/share/system-switch-mail/switchmail_gui.py:83: GtkDeprecationWarning:
gtk.mainloop is deprecated, use gtk.main instead
  gtk.mainloop()
/usr/share/system-switch-mail/switchmail_gui.py:89: GtkDeprecationWarning:
gtk.mainquit is deprecated, use gtk.main_quit instead
  gtk.mainquit()

Comment 2 petrosyan 2006-03-06 23:44:31 UTC
this bug is still present in system-switch-mail-gnome-0.5.25-7

Comment 3 Ngo Than 2006-03-07 14:55:38 UTC
it's now fixed in 0.5.25-8, Thanks for your report. 


Note You need to log in before you can comment on or make changes to this bug.